package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Goods;
import com.muchinfo.mtp3pojos.entity.Goodsgroup;
import com.muchinfo.mtp3pojos.entity.Market;
import com.muchinfo.mtp3pojos.vo.tradingmarket.goodssetup.*;

import javax.servlet.http.HttpServletRequest;

public interface IGoodsSetUpService {

    PageResult<GoodsGroupSetQueryResult> groupSetQuery(GoodsGroupSetQueryParam dealerQueryParam, HttpServletRequest request);

    AjaxResult<GoodsGroupSetDetailResult> groupSetDetail(Long goodsgroupid, HttpServletRequest request);

    AjaxResult groupDel(Long goodsgroupid, HttpServletRequest request);

    AjaxResult groupsave(GoodsGroupSetDetailResult param, HttpServletRequest request);

    AjaxResult<Market> listAllInit(HttpServletRequest request, String orgztypes, String filterTrademodeList);

    PageResult<GoodsQueryResult> goodsQuery(GoodsQueryParam param, HttpServletRequest request);

    AjaxResult<GoodsQueryDetailResult> goodsview(Long goodsid, HttpServletRequest request);

    AjaxResult<GoodsUspendedQueryResult> goodsuspended(GoodsUspendedQueryParam param, HttpServletRequest request);

    PageResult<GoodsSearchQueryResult> sreach(GoodsSearchQueryParam param, HttpServletRequest request);

    AjaxResult<Goodsgroup> goodsGroupList(Long goodsgroupstatus, Long marketid, HttpServletRequest request);

    AjaxResult<Goods> queryByGoodsgroupId(Long goodsgroupid, Integer goodsstatus, Long marketid, HttpServletRequest request);

    AjaxResult goodsuspendedadd(GoodsUspendedAddQueryParam param, HttpServletRequest request);

    AjaxResult goodsuspendeddel(Long autoid, HttpServletRequest request);

    PageResult<DelistGoodsInfoResult> queryDelistGoodsInfo(DelistGoodsInfoParam param, HttpServletRequest request);
}
